# Sample pico markdown page

This is a sample SCS themed pico page. Pico is a flat-file content management system for your personal web page.


## Installing Pico CMS

Pre-requisites:

1.  you need an SCS Linux account
2.  download the SCS Pico installation
3.  Good to have: SCS Nextcloud


Once you download the pico installation untar it in your linux home directory. Replace your public_html with the pico files and you are now serving files using pico. 

SCS Nextcloud can be configured to link to your SCS Linux account. Then it is simple to copy and edit files in your SCS Linux home directory in particular your SCS home page (public_html). Click on the markdown files within Nextcloud will launch the markdown editor.


## Getting Started 

You can create website pages using the entuitive and simple markdown format. Note that simple html will also work.

All markdown pages are placed in the content folder under your pico instalation. Markdown pages end with the .md extension.


Once you have pico installed you can create markdown pages:

1. log into nextcloud using your web browser
2. find your Linux account folder and find public_html/pico/content
3. create a new file with with the .md extension, let's call it hello_world.md
4. click on the file. This will launch the inline markdown editor. Add content. Saving is done automatically.
5. reference your page `https://www.scs.carleton.ca/~your_username/pico/hello_world`


## SCS Theme

The SCS theme is a simple responsive pico template.

You can set your name by editing this file:

   `pico/themes/default/name.html`

You can chnage the themes top header links here:

  `pico/themes/default/menubar.html`


## Pico Template

The pico template can be found here:

   pico/themes/default/index.twig
   
twig is a php template engine.


## PHP

SCS PHP settings:

* [PHP Settings](phpinfo.php)

Create a new folder under pico and place for php files there.


## Linking to pages

To link to a page that you have created use this format:

`https://www.scs.carleton.ca/~your_username/pico/hello_world`

and your markdown file would be called hello_world.md and is linked as follows:


* [Link to a nother page](?hello_world)


## Images

Images must be placed in the assets folder and can be referenced using environment variable:


   &percnt;base_url&percnt;/assets/&lt;image_name&gt;


![Data Dat 6.0](%base_url%/assets/data-day6-800x600.jpg)


## Markdown syntax examples

### Headers

~~~~
# H1
## H2
### H3
#### H4
##### H5
###### H6
~~~~

### Code block 

Use 2 sets of 4 x tilda chars to contain codeblocks: ~~~~  

Rendered look:

~~~~
Device 0: "GeForce GTX 1080 Ti"    
CUDA Driver Version / Runtime Version 10.0 / 10.0    
CUDA Capability Major/Minor version number: 6.1    
Total amount of global memory: 11178 MBytes (11721506816 bytes)    
(28) Multiprocessors, (128) CUDA Cores/MP: 3584 CUDA Cores    
GPU Max Clock rate: 1582 MHz (1.58 GHz)    
Memory Clock rate: 5505 Mhz    
Memory Bus Width: 352-bit
~~~~


Colons can be used to align columns.

| Tables        | Are           | Cool  |
| ------------- |:-------------:| -----:|
| col 3 is      | right-aligned | $1600 |
| col 2 is      | centered      |   $12 |
| zebra stripes | are neat      |    $1 |

There must be at least 3 dashes separating each header cell.
The outer pipes (|) are optional, and you don't need to make the 
raw Markdown line up prettily. You can also use inline Markdown.

Markdown | Less | Pretty
--- | --- | ---
*Still* | `renders` | **nicely**
1 | 2 | 3


> Blockquotes are very handy in email to emulate reply text.
> This line is part of the same quote.

Quote break.

> This is a very long line that will still be quoted properly when it wraps. Oh boy let's keep writing to make sure this is long enough to actually wrap for everyone. Oh, you can *put* **Markdown** into a blockquote. 

